Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class InsertDeleteEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RowEvent
                        |
                        +--oracle.jbo.InsertDeleteEvent

Direct Known Subclasses:
  DeleteEvent, InsertEvent

public class InsertDeleteEvent
extends RowEvent

An event class used by `RowSetIterator` to inform its listeners when a row is modified, added, or deleted.

Since:
  JDeveloper 3.0
See Also:
  `RowSetIterator`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InsertDeleteEvent(RowSetIterator source, Row row, int rowIndex, int rowCountBefore, int rowCount)` Creates an event for a row being inserted or deleted.

Method Summary
`int` | `getRowCountInRange()` Reports the range's resulting row count.
`int` | `getRowCountInRangeBefore()` Reports the range's orignial row count.
`java.lang.String` | `toString(java.lang.String className)` Internal: For debugging only.

Methods inherited from class oracle.jbo.RowEvent
`getRow, getRowIndex`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InsertDeleteEvent

    public InsertDeleteEvent(RowSetIterator source,
                             Row row,
                             int rowIndex,
                             int rowCountBefore,
                             int rowCount)

  Creates an event for a row being inserted or deleted.
  Parameters:
    `source` - the iterator that generated this event.
    `row` - the row object that was inserted or deleted.
    `rowIndex` - the range index of the row that was inserted or deleted.
    `rowCountBefore` - the initial number of rows.
    `rowCount` - the resulting number of rows.

Method Detail

### getRowCountInRangeBefore

    public final int getRowCountInRangeBefore()

  Reports the range's orignial row count.
  Returns:
    the range's row count before the insertion or deletion.

### getRowCountInRange

    public final int getRowCountInRange()

  Reports the range's resulting row count.
  Returns:
    the range's row count after the insertion or deletion.

### toString

    public java.lang.String toString(java.lang.String className)

  Internal: For debugging only.
  Overrides:
    toString in class RowEvent
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD